Subject: Ticket Assigned - late delivery / 9560364344
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 10 Mar 2022 07:58:42 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  late delivery / 9560364344 Jihane ?                    Hi           11:43 AM, 10th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           11:43 AM, 10th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            11:43 AM, 10th Mar                     Jihane ?                    Hi my order number 9560364344 supposed to be delivered today but it did not come yet           11:43 AM, 10th Mar                     Jihane ?                    I should have received it in the 9th           11:44 AM, 10th Mar                     Jihane ?                    Why is this happening?           11:45 AM, 10th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            11:45 AM, 10th Mar                   New                   If you have any pictures that you would like to share, please do that.            11:45 AM, 10th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           11:45 AM, 10th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of your order            11:47 AM, 10th Mar                     Jihane ?                    Sure           11:47 AM, 10th Mar                     Jihane ?                             11:47 AM, 10th Mar                   Ahmed                   can you share with us your active contact number  ?           11:47 AM, 10th Mar                     Jihane ?                    0502140218           11:48 AM, 10th Mar                     Jihane ?                    Please I Need my delivery today           11:48 AM, 10th Mar                     Jihane ?                    ???!!!           11:51 AM, 10th Mar                   Ahmed                   thank you for sharing your contact number with us, we will update the courier team and make sure to deliver you order as soon as possible.           11:54 AM, 10th Mar                     Jihane ?                    Please I really need it today           11:55 AM, 10th Mar                   Ahmed                   we will make sure to resolve the issue, and arrange your order delivery as soon as possible.           11:56 AM, 10th Mar                   Ahmed                   It was a pleasure to assist you, and have a nice day.             11:58 AM, 10th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4002577